#pragma once


//
// MessageBoxDLG.h : ヘッダー ファイル
//


#include  "DLGBoxBase.h"



//
namespace jbxwl {





/////////////////////////////////////////////////////////////////////////////
// CMessageBoxDLG ダイアログ

class CMessageBoxDLG : public CDialog
{
public:
	CWnd*		pWnd;
	UINT		dialogID;
	CString		title;
	CStatic*	message;


// コンストラクション
public:
	CMessageBoxDLG(                  LPCTSTR tn=NULL, CWnd* pParent=NULL);
	CMessageBoxDLG(UINT nIDTemplate, LPCTSTR tn=NULL, CWnd* pParent=NULL); 
	~CMessageBoxDLG() { Destory();}
	
	BOOL	OnInitDialog();
	
	void	Display(LPCTSTR mesg);
	void	Destory(void);



// ダイアログ データ
	//{{AFX_DATA(CMessageBoxDLG)
	enum { IDD = IDD_MESG_BOX };
	//}}AFX_DATA


// オーバーライド
	//{{AFX_VIRTUAL(CMessageBoxDLG)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL


// インプリメンテーション
protected:
	//{{AFX_MSG(CMessageBoxDLG)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};



//{{AFX_INSERT_LOCATION}}











/////////////////////////////////////////////////////////////////////////////



int  MessageBoxDLG(int     ttl, int     msg, UINT type,   CWnd* wnd);
int  MessageBoxDLG(LPCTSTR ttl, int     msg, UINT type,   CWnd* wnd);
int  MessageBoxDLG(int     ttl, LPCTSTR msg, UINT type,   CWnd* wnd);
int  MessageBoxDLG(LPCTSTR ttl, LPCTSTR msg, UINT type,   CWnd* wnd);


CMessageBoxDLG*   MessageBoxDLG(int     ttl, int     msg, CWnd* wnd);
CMessageBoxDLG*   MessageBoxDLG(LPCTSTR ttl, int     msg, CWnd* wnd);
CMessageBoxDLG*   MessageBoxDLG(int     ttl, LPCTSTR msg, CWnd* wnd);
CMessageBoxDLG*   MessageBoxDLG(LPCTSTR ttl, LPCTSTR msg, CWnd* wnd);




}		// namespace
